mod html;
mod server;

use std::env;

use server::*;

#[tokio::main]
async fn main() -> anyhow::Result<()> {
    let port: Option<u16> = match env::args().nth(1) {
        Some(value) => Some(value.parse()?),
        None => None,
    };
    Blog::new().await?.serve(port).await;
    Ok(())
}
